"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledCodeHighlighterHeader = exports.StyledCodeHighlighterFileName = exports.StyledCodeHighlighter = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _codeHighlighter = require("../../types/codeHighlighter");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const StyledCodeHighlighter = exports.StyledCodeHighlighter = _styledComponents.default.div`
    margin: 4px 0;
    background-color: ${({
  $codeTheme
}) => $codeTheme === _codeHighlighter.CodeHighlighterTheme.Dark ? '#282c34' : '#fafafa'};
    border-radius: 8px;
    padding-bottom: 6px;

    pre {
        margin: 0 !important;
        overflow: auto;
        padding: 15px;
        line-height: 1.5;

        // Styles for custom scrollbar
        ${({
  $browser,
  theme
}) => $browser === 'firefox' ? (0, _styledComponents.css)`
                      scrollbar-color: rgba(${theme['text-rgb']}, 0.15) transparent;
                      scrollbar-width: thin;
                  ` : (0, _styledComponents.css)`
                      &::-webkit-scrollbar {
                          height: 5px;
                      }

                      &::-webkit-scrollbar-track {
                          background-color: transparent;
                      }

                      &::-webkit-scrollbar-button {
                          background-color: transparent;
                          height: 5px;
                      }

                      &::-webkit-scrollbar-thumb {
                          background-color: rgba(${theme['text-rgb']}, 0.15);
                          border-radius: 20px;
                      }
                  `}
    }
`;
const StyledCodeHighlighterHeader = exports.StyledCodeHighlighterHeader = _styledComponents.default.div`
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid
        ${({
  $codeTheme
}) => $codeTheme === _codeHighlighter.CodeHighlighterTheme.Dark ? '#e5e5e5' : '#999999'};
    padding: 4px 12px;
`;
const StyledCodeHighlighterFileName = exports.StyledCodeHighlighterFileName = _styledComponents.default.span`
    color: ${({
  $codeTheme
}) => $codeTheme === _codeHighlighter.CodeHighlighterTheme.Dark ? '#e5e5e5' : '#999999'};
`;
//# sourceMappingURL=CodeHighlighter.styles.js.map