import styled, { css } from 'styled-components';
import { CodeHighlighterTheme } from '../../types/codeHighlighter';
export const StyledCodeHighlighter = styled.div`
    margin: 4px 0;
    background-color: ${_ref => {
  let {
    $codeTheme
  } = _ref;
  return $codeTheme === CodeHighlighterTheme.Dark ? '#282c34' : '#fafafa';
}};
    border-radius: 8px;
    padding-bottom: 6px;

    pre {
        margin: 0 !important;
        overflow: auto;
        padding: 15px;
        line-height: 1.5;

        // Styles for custom scrollbar
        ${_ref2 => {
  let {
    $browser,
    theme
  } = _ref2;
  return $browser === 'firefox' ? css`
                      scrollbar-color: rgba(${theme['text-rgb']}, 0.15) transparent;
                      scrollbar-width: thin;
                  ` : css`
                      &::-webkit-scrollbar {
                          height: 5px;
                      }

                      &::-webkit-scrollbar-track {
                          background-color: transparent;
                      }

                      &::-webkit-scrollbar-button {
                          background-color: transparent;
                          height: 5px;
                      }

                      &::-webkit-scrollbar-thumb {
                          background-color: rgba(${theme['text-rgb']}, 0.15);
                          border-radius: 20px;
                      }
                  `;
}}
    }
`;
export const StyledCodeHighlighterHeader = styled.div`
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid
        ${_ref3 => {
  let {
    $codeTheme
  } = _ref3;
  return $codeTheme === CodeHighlighterTheme.Dark ? '#e5e5e5' : '#999999';
}};
    padding: 4px 12px;
`;
export const StyledCodeHighlighterFileName = styled.span`
    color: ${_ref4 => {
  let {
    $codeTheme
  } = _ref4;
  return $codeTheme === CodeHighlighterTheme.Dark ? '#e5e5e5' : '#999999';
}};
`;
//# sourceMappingURL=CodeHighlighter.styles.js.map